Index: BOOK/boot/common/pwdgroup.xml
===================================================================
--- BOOK/boot/common/pwdgroup.xml	(revision b2011e5fbff5a2b152a75c4901dc49889d8db8d1)
+++ BOOK/boot/common/pwdgroup.xml	(revision 934e59782ea3b1eac6878853d71e0cb03039c477)
@@ -35,5 +35,5 @@
   </indexterm>
 
-  <para>In order for user <systemitem class="username">root</systemitem> to
+  <para os="a">In order for user <systemitem class="username">root</systemitem> to
   be able to login and for the name <quote>root</quote> to be recognized,
   there must be relevant entries in the <filename>/etc/passwd</filename>
@@ -47,9 +47,9 @@
 EOF</userinput></screen>
 
-  <para os="a">The actual password for <systemitem class="username">root</systemitem>
+  <para os="b">The actual password for <systemitem class="username">root</systemitem>
   (the <quote>::</quote> used here is just a placeholder and allow you to login
   with no password) will be set later.</para>
 
-  <variablelist os="b">
+  <variablelist os="c">
   
     <title>Additional users you may want to add:</title>
@@ -139,5 +139,5 @@
 EOF</userinput></screen>
 
-  <variablelist os="c">
+  <variablelist os="d">
 
     <title>Additional groups you may want to add</title>
@@ -199,5 +199,5 @@
   </variablelist>
 
-  <para os="d">The created groups are not part of any standard&mdash;they are
+  <para os="e">The created groups are not part of any standard&mdash;they are
   groups decided on in part by the requirements of the Udev configuration
   in the final system, and in part by common convention employed by a
@@ -210,5 +210,5 @@
   group's name.</para>
 
-  <para os="e">The <command>login</command>, <command>agetty</command>, and
+  <para os="f">The <command>login</command>, <command>agetty</command>, and
   <command>init</command> programs (and others) use a number of log
   files to record information such as who was logged into the system and
Index: BOOK/chroot/common/pwdgroup.xml
===================================================================
--- BOOK/chroot/common/pwdgroup.xml	(revision b2011e5fbff5a2b152a75c4901dc49889d8db8d1)
+++ BOOK/chroot/common/pwdgroup.xml	(revision 934e59782ea3b1eac6878853d71e0cb03039c477)
@@ -35,9 +35,8 @@
   </indexterm>
 
-  <para>In order for user <systemitem class="username">root</systemitem> to
-  be able to login and for the name <quote>root</quote> to be recognized,
-  there must be relevant entries in the <filename>/etc/passwd</filename>
-  and <filename>/etc/group</filename> files.</para>
-
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../boot/common/pwdgroup.xml"
+  xpointer="xpointer(//*[@os='a'])"/>
+  
   <para>Create the <filename>/etc/passwd</filename> file by running the
   following command:</para>
@@ -47,5 +46,5 @@
 EOF</userinput></screen>
 
-  <para os="a">The actual password for
+  <para os="b">The actual password for
   <systemitem class="username">root</systemitem> (the <quote>x</quote>
   used here is just a placeholder) will be set later.</para>
@@ -53,5 +52,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
   href="../../boot/common/pwdgroup.xml"
-  xpointer="xpointer(//*[@os='b'])"/>
+  xpointer="xpointer(//*[@os='c'])"/>
 
   <para>Create the <filename>/etc/group</filename> file by running the
@@ -79,8 +78,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
   href="../../boot/common/pwdgroup.xml"
-  xpointer="xpointer(//*[@os='c'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../boot/common/pwdgroup.xml"
   xpointer="xpointer(//*[@os='d'])"/>
 
@@ -88,4 +83,8 @@
   href="../../boot/common/pwdgroup.xml"
   xpointer="xpointer(//*[@os='e'])"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../boot/common/pwdgroup.xml"
+  xpointer="xpointer(//*[@os='f'])"/>
 
   <para>To remove the <quote>I have no name!</quote> prompt, start a
Index: BOOK/chroot/multilib/util-linux.xml
===================================================================
--- BOOK/chroot/multilib/util-linux.xml	(revision b2011e5fbff5a2b152a75c4901dc49889d8db8d1)
+++ BOOK/chroot/multilib/util-linux.xml	(revision 934e59782ea3b1eac6878853d71e0cb03039c477)
@@ -37,5 +37,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='ca'])"/>
+    xpointer="xpointer(//*[@os='bb'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"