Index: BOOK/final-system/mips/arcload.xml
===================================================================
--- BOOK/final-system/mips/arcload.xml	(revision 0935d017da64b3e59e9014e36dac4597f5f1f4a3)
+++ BOOK/final-system/mips/arcload.xml	(revision 0935d017da64b3e59e9014e36dac4597f5f1f4a3)
@@ -0,0 +1,92 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-system-arcload" role="wrap">
+  <?dbhtml filename="arcload.html"?>
+
+  <title>Arcload-&arcload-version;</title>
+
+  <indexterm zone="ch-system-arcload">
+    <primary sortas="a-Arcload">Arcload</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title/>
+
+    <para>The Arcload package contains a SGI Bootloader.</para>
+
+    <segmentedlist>
+      <segtitle>&dependencies;</segtitle>
+
+      <seglistitem>
+        <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc,
+        Grep, Make, Ncurses, Sed, dvhtool</seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Arcload</title>
+
+ <note os="a">
+    <para>This program is the Arcload bootloader, which is for
+    SGI Workstations and SGI Servers based on MIPS Processors.</para>
+  </note>
+
+    <para os="b">This patch updates the Arcload bootloader:</para>
+
+<screen os="c"><userinput>patch -Np1 -i ../&arcload-fixes-patch;</userinput></screen>
+
+    <para os="d">Compile the package:</para>
+
+<screen os="e"><userinput>make MODE=M32 clean
+make CC="gcc" LD="ld" MODE=M32</userinput></screen>
+
+    <para os="f">Install the package:</para>
+
+<screen os="g"><userinput>install -d /usr/lib/arcload
+cp arcload.ecoff /usr/lib/arcload/sash</userinput></screen>
+
+  </sect2>
+
+  <sect2 id="contents-arcload" role="content">
+    <title>Contents of Arcload</title>
+
+    <segmentedlist>
+      <segtitle>Installed programs</segtitle>
+
+      <seglistitem>
+        <seg>To be Determined</seg>
+      </seglistitem>
+    </segmentedlist>
+
+<!--
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="colo-chain.elf">
+        <term><command>colo</command></term>
+        <listitem>
+          <para>Is the Cobalt Bootloader's chain mode executeable. This
+          file gets gzipped and renamed to <filename>vmlinux.gz</filename>,
+          so it can be booted automatically by the Cobalt's existing
+          firmware</para>
+          <indexterm zone="ch-system-colo colo-chain.elf">
+            <primary sortas="b-colo-chain.elf">colo-chain.elf</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+-->
+
+  </sect2>
+
+</sect1>
Index: BOOK/final-system/mips/colo.xml
===================================================================
--- BOOK/final-system/mips/colo.xml	(revision 738dbf842bce1a7c0aac39f0ee20341764062875)
+++ BOOK/final-system/mips/colo.xml	(revision 0935d017da64b3e59e9014e36dac4597f5f1f4a3)
@@ -34,11 +34,16 @@
     <title>Installation of Colo</title>
 
-    <para os="a">Compile the Colo package:</para>
+  <note os="a">
+    <para>This bootloader is for the MIPS based cobalt servers RaQ,
+    RaQ2, Qube, or the Qube2.</para>
+  </note>
+
+    <para os="b">Compile the Colo package:</para>
 
 <screen><userinput>make</userinput></screen>
 
-    <para os="b">Install the package:</para>
+    <para os="c">Install the package:</para>
 
-<screen os="c"><userinput>install -d  /usr/lib/colo/examples
+<screen os="d"><userinput>install -d  /usr/lib/colo/examples
 install binaries/colo-chain.elf /usr/lib/colo
 install binaries/colo-rom-image.bin /usr/lib/colo
Index: BOOK/final-system/mips/dvhtool.xml
===================================================================
--- BOOK/final-system/mips/dvhtool.xml	(revision 0935d017da64b3e59e9014e36dac4597f5f1f4a3)
+++ BOOK/final-system/mips/dvhtool.xml	(revision 0935d017da64b3e59e9014e36dac4597f5f1f4a3)
@@ -0,0 +1,95 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-system-dvhtool" role="wrap">
+  <?dbhtml filename="dvhtool.html"?>
+
+  <title>Dvhtool-&dvhtool-version;</title>
+
+  <indexterm zone="ch-system-dvhtool">
+    <primary sortas="a-Dvhtool">Dvhtool</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title/>
+
+    <para>The Dvhtool package is used to manipulate volume headers
+    of devices using sgi disk labels.</para>
+
+    <segmentedlist>
+      <segtitle>&dependencies;</segtitle>
+
+      <seglistitem>
+        <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc,
+        Grep, Make, Ncurses, Sed</seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Dvhtool</title>
+
+ <note os="a">
+    <para>This program is required for the Arcload bootloader, which is for
+    SGI Workstations and SGI Servers based on MIPS Processors.</para>
+  </note>
+
+    <para os="b">This patch updates for the Arcload bootloader:</para>
+
+<screen os="c"><userinput>patch -Np1 -i ../&dvhtool-fixes-patch;</userinput></screen>
+
+    <para os="d">Prepare Dvhtool  for compilation:</para>
+
+<screen os="e"><userinput>./configure --prefix=/usr</userinput></screen>
+
+    <para os="f">Compile the package:</para>
+
+<screen os="g"><userinput>make</userinput></screen>
+
+    <para os="h">Install the package:</para>
+
+<screen os="i"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 id="contents-dvhtool" role="content">
+    <title>Contents of Dvhtool</title>
+
+    <segmentedlist>
+      <segtitle>Installed programs</segtitle>
+
+      <seglistitem>
+        <seg>To be Determined</seg>
+      </seglistitem>
+    </segmentedlist>
+
+<!--
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="colo-chain.elf">
+        <term><command>colo</command></term>
+        <listitem>
+          <para>Is the Cobalt Bootloader's chain mode executeable. This
+          file gets gzipped and renamed to <filename>vmlinux.gz</filename>,
+          so it can be booted automatically by the Cobalt's existing
+          firmware</para>
+          <indexterm zone="ch-system-colo colo-chain.elf">
+            <primary sortas="b-colo-chain.elf">colo-chain.elf</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+-->
+
+  </sect2>
+
+</sect1>