Index: BOOK/bootable/arm/kernel.xml
===================================================================
--- BOOK/bootable/arm/kernel.xml	(revision 586feb78b379b4fe653074e6a79b8d443176860f)
+++ BOOK/bootable/arm/kernel.xml	(revision 940e6b3ac44ce358f927cb4f4f477bc77c772a9e)
@@ -106,5 +106,5 @@
     <para os="v">Issue the following command to install the kernel:</para>
 
-<screen><userinput>cp arch/i386/boot/bzImage ${CLFS}/boot/lfskernel-&linux-version;</userinput></screen>
+<screen><userinput>cp arch/i386/boot/bzImage ${CLFS}/boot/clfskernel-&linux-version;</userinput></screen>
 
     <para os="w"><filename>System.map</filename> is a symbol file for the kernel.
@@ -146,5 +146,5 @@
 
       <seglistitem>
-        <seg>config-[linux-version], lfskernel-[linux-version],
+        <seg>config-[linux-version], clfskernel-[linux-version],
         and System.map-[linux-version]</seg>
       </seglistitem>
@@ -166,6 +166,6 @@
       </varlistentry>
 
-      <varlistentry id="lfskernel">
-        <term><filename>lfskernel-[linux-version]</filename></term>
+      <varlistentry id="clfskernel">
+        <term><filename>clfskernel-[linux-version]</filename></term>
         <listitem>
           <para>The engine of the Linux system. When turning on the
@@ -176,6 +176,6 @@
           a multitasking machine capable of running scores of programs
           seemingly at the same time.</para>
-          <indexterm zone="ch-bootable-kernel lfskernel">
-            <primary sortas="b-lfskernel">lfskernel-[linux-version]</primary>
+          <indexterm zone="ch-bootable-kernel clfskernel">
+            <primary sortas="b-clfskernel">clfskernel-[linux-version]</primary>
           </indexterm>
         </listitem>
Index: BOOK/final-preps/aboutclfs.xml
===================================================================
--- BOOK/final-preps/aboutclfs.xml	(revision 586feb78b379b4fe653074e6a79b8d443176860f)
+++ BOOK/final-preps/aboutclfs.xml	(revision 940e6b3ac44ce358f927cb4f4f477bc77c772a9e)
@@ -19,14 +19,14 @@
 
   <para>Make sure the output shows the path to the CLFS partition's mount
-  point, which is <filename class="directory">/mnt/lfs</filename> if the
+  point, which is <filename class="directory">/mnt/clfs</filename> if the
   provided example was followed. If the output is incorrect, the
   variable can be set with:</para>
 
-<screen><userinput>export CLFS=/mnt/lfs</userinput></screen>
+<screen><userinput>export CLFS=/mnt/clfs</userinput></screen>
 
   <para>Having this variable set is beneficial in that commands such as
   <command>install -d $CLFS/tools</command> can be typed literally. The shell
   will automatically replace <quote>$CLFS</quote> with
-  <quote>/mnt/lfs</quote> (or whatever the variable was set to) when it
+  <quote>/mnt/clfs</quote> (or whatever the variable was set to) when it
   processes the command line.</para>
 
Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision 586feb78b379b4fe653074e6a79b8d443176860f)
+++ BOOK/general.ent	(revision 940e6b3ac44ce358f927cb4f4f477bc77c772a9e)
@@ -19,5 +19,5 @@
 
 <!ENTITY lfs-root "http://www.linuxfromscratch.org/">
-<!ENTITY clfs-root "http:/trac.cross-lfs.org/">
+<!ENTITY clfs-root "http://trac.cross-lfs.org/">
 <!ENTITY blfs-root "&lfs-root;blfs/">
 <!ENTITY faq-root "&lfs-root;faq/">
Index: BOOK/introduction/common/askforhelp.xml
===================================================================
--- BOOK/introduction/common/askforhelp.xml	(revision 586feb78b379b4fe653074e6a79b8d443176860f)
+++ BOOK/introduction/common/askforhelp.xml	(revision 940e6b3ac44ce358f927cb4f4f477bc77c772a9e)
@@ -89,8 +89,8 @@
     from the screen output from <command>make</command>:</para>
 
-<screen><computeroutput>gcc -DALIASPATH=\"/mnt/lfs/usr/share/locale:.\"
--DLOCALEDIR=\"/mnt/lfs/usr/share/locale\"
--DLIBDIR=\"/mnt/lfs/usr/lib\"
--DINCLUDEDIR=\"/mnt/lfs/usr/include\" -DHAVE_CONFIG_H -I. -I.
+<screen><computeroutput>gcc -DALIASPATH=\"/mnt/clfs/usr/share/locale:.\"
+-DLOCALEDIR=\"/mnt/clfs/usr/share/locale\"
+-DLIBDIR=\"/mnt/clfs/usr/lib\"
+-DINCLUDEDIR=\"/mnt/clfs/usr/include\" -DHAVE_CONFIG_H -I. -I.
 -g -O2 -c getopt1.c
 gcc -g -O2 -static -o make ar.o arscan.o commands.o dir.o
Index: BOOK/introduction/common/resources.xml
===================================================================
--- BOOK/introduction/common/resources.xml	(revision 586feb78b379b4fe653074e6a79b8d443176860f)
+++ BOOK/introduction/common/resources.xml	(revision 940e6b3ac44ce358f927cb4f4f477bc77c772a9e)
@@ -53,7 +53,6 @@
     please make sure that your question is not already answered in the LFS
     FAQ or the mailing list archives. You can find the IRC network at
-    <uri>irc.linuxfromscratch.org</uri>. The support channel for cross-lfs is
-    named #cross-lfs. For support on the standard LFS the support channel
-    is named #lfs-support. If you need to show people the output of your
+    <uri>chat.freenode.net</uri>. The support channel for cross-lfs
+    is named #cross-lfs. If you need to show people the output of your
     problems, please use http://pastebin.cross-lfs.org and reference
     the pastebin URL when asking your questions.</para>
Index: BOOK/materials/common/introduction.xml
===================================================================
--- BOOK/materials/common/introduction.xml	(revision 586feb78b379b4fe653074e6a79b8d443176860f)
+++ BOOK/materials/common/introduction.xml	(revision 940e6b3ac44ce358f927cb4f4f477bc77c772a9e)
@@ -25,5 +25,5 @@
   most packages. If this search is unsuccessful, try one of the
   alternative means of downloading discussed at <ulink
-  url="&lfs-root;lfs/packages.html"/>.</para>
+  url="&clfs-root;wiki/download"/>.</para>
 
   <para>Downloaded packages and patches will need to be stored somewhere
Index: BOOK/partitioning/common/mounting.xml
===================================================================
--- BOOK/partitioning/common/mounting.xml	(revision 586feb78b379b4fe653074e6a79b8d443176860f)
+++ BOOK/partitioning/common/mounting.xml	(revision 940e6b3ac44ce358f927cb4f4f477bc77c772a9e)
@@ -15,5 +15,5 @@
   mounted at a chosen mount point. For the purposes of this book, it is
   assumed that the file system is mounted under <filename
-  class="directory">/mnt/lfs</filename>, but the directory choice is up
+  class="directory">/mnt/clfs</filename>, but the directory choice is up
   to you.</para>
 
@@ -21,5 +21,5 @@
   environment variable by running:</para>
 
-<screen><userinput>export CLFS=/mnt/lfs</userinput></screen>
+<screen><userinput>export CLFS=/mnt/clfs</userinput></screen>
 
   <para>Next, create the mount point and mount the CLFS file system by