Index: cross-tools/alpha/linux-libc-headers.xml
===================================================================
--- cross-tools/alpha/linux-libc-headers.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ cross-tools/alpha/linux-libc-headers.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -25,7 +25,7 @@
     <para>Install the header files:</para>
 
-<screen><userinput>install -d /tools/include
-cp -R include/asm-alpha /tools/include/asm
-cp -R include/linux /tools/include</userinput></screen>
+<screen><userinput>install -dv /tools/include
+cp -Rv include/asm-alpha /tools/include/asm
+cp -Rv include/linux /tools/include</userinput></screen>
 
   </sect2>
Index: cross-tools/mips/linux-libc-headers.xml
===================================================================
--- cross-tools/mips/linux-libc-headers.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ cross-tools/mips/linux-libc-headers.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -43,7 +43,7 @@
     xpointer="xpointer(//*[@os='b'])"/>
 
-<screen><userinput>install -d /tools/include
-cp -R include/asm-mips /tools/include/asm
-cp -R include/linux /tools/include</userinput></screen>
+<screen><userinput>install -dv /tools/include
+cp -Rv include/asm-mips /tools/include/asm
+cp -Rv include/linux /tools/include</userinput></screen>
 
   </sect2>
Index: cross-tools/mips64-64/linux-libc-headers.xml
===================================================================
--- cross-tools/mips64-64/linux-libc-headers.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ cross-tools/mips64-64/linux-libc-headers.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -43,7 +43,7 @@
     xpointer="xpointer(//*[@os='b'])"/>
 
-<screen><userinput>install -d /tools/include
-cp -R include/asm-mips /tools/include/asm
-cp -R include/linux /tools/include</userinput></screen>
+<screen><userinput>install -dv /tools/include
+cp -Rv include/asm-mips /tools/include/asm
+cp -Rv include/linux /tools/include</userinput></screen>
 
   </sect2>
Index: cross-tools/mips64/linux-libc-headers.xml
===================================================================
--- cross-tools/mips64/linux-libc-headers.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ cross-tools/mips64/linux-libc-headers.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -43,7 +43,7 @@
     xpointer="xpointer(//*[@os='b'])"/>
 
-<screen><userinput>install -d /tools/include
-cp -R include/asm-mips /tools/include/asm
-cp -R include/linux /tools/include</userinput></screen>
+<screen><userinput>install -dv /tools/include
+cp -Rv include/asm-mips /tools/include/asm
+cp -Rv include/linux /tools/include</userinput></screen>
 
   </sect2>
Index: cross-tools/ppc/linux-libc-headers.xml
===================================================================
--- cross-tools/ppc/linux-libc-headers.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ cross-tools/ppc/linux-libc-headers.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -25,7 +25,7 @@
     <para>Install the header files:</para>
 
-<screen><userinput>install -d /tools/include
-cp -R include/asm-ppc /tools/include/asm
-cp -R include/linux /tools/include</userinput></screen>
+<screen><userinput>install -dv /tools/include
+cp -Rv include/asm-ppc /tools/include/asm
+cp -Rv include/linux /tools/include</userinput></screen>
 
   </sect2>
Index: cross-tools/sparc/linux-libc-headers.xml
===================================================================
--- cross-tools/sparc/linux-libc-headers.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ cross-tools/sparc/linux-libc-headers.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -33,7 +33,7 @@
     <para>Install the header files:</para>
 
-<screen><userinput>install -d /tools/include
-cp -R include/asm-sparc /tools/include/asm
-cp -R include/linux /tools/include</userinput></screen>
+<screen><userinput>install -dv /tools/include
+cp -Rv include/asm-sparc /tools/include/asm
+cp -Rv include/linux /tools/include</userinput></screen>
 
   </sect2>
Index: cross-tools/sparc64-64/linux-libc-headers.xml
===================================================================
--- cross-tools/sparc64-64/linux-libc-headers.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ cross-tools/sparc64-64/linux-libc-headers.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -33,7 +33,7 @@
     <para>Install the header files:</para>
 
-<screen><userinput>install -d /tools/include
-cp -R include/asm-sparc64 /tools/include/asm
-cp -R include/linux /tools/include</userinput></screen>
+<screen><userinput>install -dv /tools/include
+cp -Rv include/asm-sparc64 /tools/include/asm
+cp -Rv include/linux /tools/include</userinput></screen>
 
   </sect2>
Index: cross-tools/sparc64/linux-libc-headers.xml
===================================================================
--- cross-tools/sparc64/linux-libc-headers.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ cross-tools/sparc64/linux-libc-headers.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -41,9 +41,9 @@
     <para>Install the header files:</para>
 
-<screen><userinput>install -d /tools/include
-cp -R include/asm-sparc64 /tools/include/
-cp -R include/asm-sparc /tools/include/
-cp -R include/asm-sparc-biarch /tools/include/asm
-cp -R include/linux /tools/include</userinput></screen>
+<screen><userinput>install -dv /tools/include
+cp -Rv include/asm-sparc64 /tools/include/
+cp -Rv include/asm-sparc /tools/include/
+cp -Rv include/asm-sparc-biarch /tools/include/asm
+cp -Rv include/linux /tools/include</userinput></screen>
 
   </sect2>
Index: cross-tools/x86/linux-libc-headers.xml
===================================================================
--- cross-tools/x86/linux-libc-headers.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ cross-tools/x86/linux-libc-headers.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -25,7 +25,7 @@
     <para>Install the header files:</para>
 
-<screen><userinput>install -d /tools/include
-cp -R include/asm-i386 /tools/include/asm
-cp -R include/linux /tools/include</userinput></screen>
+<screen><userinput>install -dv /tools/include
+cp -Rv include/asm-i386 /tools/include/asm
+cp -Rv include/linux /tools/include</userinput></screen>
 
   </sect2>
Index: cross-tools/x86_64-64/linux-libc-headers.xml
===================================================================
--- cross-tools/x86_64-64/linux-libc-headers.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ cross-tools/x86_64-64/linux-libc-headers.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -25,7 +25,7 @@
     <para>Install the header files:</para>
 
-<screen><userinput>install -d /tools/include
-cp -R include/asm-x86_64 /tools/include/asm
-cp -R include/linux /tools/include</userinput></screen>
+<screen><userinput>install -dv /tools/include
+cp -Rv include/asm-x86_64 /tools/include/asm
+cp -Rv include/linux /tools/include</userinput></screen>
 
   </sect2>
Index: cross-tools/x86_64/linux-libc-headers.xml
===================================================================
--- cross-tools/x86_64/linux-libc-headers.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ cross-tools/x86_64/linux-libc-headers.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -33,9 +33,9 @@
     <para>Install the header files:</para>
 
-<screen><userinput>install -d /tools/include
-cp -R include/asm-i386 /tools/include/
-cp -R include/asm-x86_64 /tools/include/
-cp -R include/asm-x86_64-biarch /tools/include/asm
-cp -R include/linux /tools/include</userinput></screen>
+<screen><userinput>install -dv /tools/include
+cp -Rv include/asm-i386 /tools/include/
+cp -Rv include/asm-x86_64 /tools/include/
+cp -Rv include/asm-x86_64-biarch /tools/include/asm
+cp -Rv include/linux /tools/include</userinput></screen>
 
   </sect2>
Index: final-preps/aboutlfs.xml
===================================================================
--- final-preps/aboutlfs.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ final-preps/aboutlfs.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -34,5 +34,5 @@
   directory, do so at this time by issuing the following commands:</para>
 
-<screen><userinput>install -d $LFS</userinput></screen>
+<screen><userinput>install -dv $LFS</userinput></screen>
 
   <para>Do not forget to check that <envar>$LFS</envar> is set whenever
Index: final-preps/addinguser.xml
===================================================================
--- final-preps/addinguser.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ final-preps/addinguser.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -84,12 +84,12 @@
   class="username">lfs</systemitem> the directorys' owner:</para>
 
-<screen><userinput>chown lfs $LFS
-chown lfs $LFS/tools
-chown lfs $LFS/cross-tools</userinput></screen>
+<screen><userinput>chown -v lfs $LFS
+chown -v lfs $LFS/tools
+chown -v lfs $LFS/cross-tools</userinput></screen>
 
   <para>If a separate working directory was created as suggested, 
   give user <systemitem class="username">lfs</systemitem> ownership of this directory:</para>
 
-<screen><userinput>chown lfs $LFS/sources</userinput></screen>
+<screen><userinput>chown -v lfs $LFS/sources</userinput></screen>
 
   <para>Next, login as user <systemitem class="username">lfs</systemitem>.
Index: final-preps/creatingcrossdir.xml
===================================================================
--- final-preps/creatingcrossdir.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ final-preps/creatingcrossdir.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -21,5 +21,5 @@
   <systemitem class="username">root</systemitem>:</para>
 
-<screen><userinput>install -d $LFS/cross-tools</userinput></screen>
+<screen><userinput>install -dv $LFS/cross-tools</userinput></screen>
 
   <para>The next step is to create a <filename
@@ -28,5 +28,5 @@
   Run this command as  <systemitem class="username">root</systemitem> as well:</para>
 
-<screen><userinput>ln -s $LFS/cross-tools /</userinput></screen>
+<screen><userinput>ln -sv $LFS/cross-tools /</userinput></screen>
 
   <para>The created symlink enables the toolchain to be compiled so that
Index: final-preps/creatingtoolsdir.xml
===================================================================
--- final-preps/creatingtoolsdir.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ final-preps/creatingtoolsdir.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -24,5 +24,5 @@
   <systemitem class="username">root</systemitem>:</para>
 
-<screen><userinput>install -d $LFS/tools</userinput></screen>
+<screen><userinput>install -dv $LFS/tools</userinput></screen>
 
   <para>The next step is to create a <filename class="symlink">/tools</filename>
@@ -31,5 +31,5 @@
   class="username">root</systemitem> as well:</para>
 
-<screen><userinput>ln -s $LFS/tools /</userinput></screen>
+<screen><userinput>ln -sv $LFS/tools /</userinput></screen>
 
   <note>
Index: general.ent
===================================================================
--- general.ent	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ general.ent	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 
-<!ENTITY version "CLFS-SVN-20060130">
+<!ENTITY version "CLFS-SVN-20060131">
 <!ENTITY version-x86 "&version;-x86">
 <!ENTITY version-x86_64 "&version;-x86_64-Multilib">
@@ -15,5 +15,5 @@
 <!ENTITY version-alpha "&version;-ALPHA">
 
-<!ENTITY releasedate "January 30, 2006">
+<!ENTITY releasedate "January 31, 2006">
 <!ENTITY milestone "0.1">
 <!ENTITY generic-version "svn"> <!-- Use "svn", "testing", or "x.y[-pre{x}]" -->
Index: introduction/common/changelog.xml
===================================================================
--- introduction/common/changelog.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ introduction/common/changelog.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -11,5 +11,5 @@
   <title>Master Changelog</title>
 
-  <para>This is version &version; of the Linux From Scratch book, dated
+  <para>This is version &version; of the Cross-Compiled Linux From Scratch book, dated
   &releasedate;. If this book is more than six months old, a newer and better
   version is probably already available. To find out, please check one of the
@@ -38,8 +38,18 @@
 
     <listitem>
+      <para>January 31, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Added -v to commands that accept them, for
+consistency with LFS.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>January 30, 2006</para> 
       <itemizedlist>
         <listitem>
-          <para>[jim] - Change final-system GCC, to use make bootstrap. Updated providied
+          <para>[jim] - Change final-system GCC, to use make bootstrap. Update provided
            by Ryan Oliver.</para>
         </listitem>
Index: materials/common/introduction.xml
===================================================================
--- materials/common/introduction.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ materials/common/introduction.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -40,5 +40,5 @@
   starting the download session:</para>
 
-<screen><userinput>mkdir $LFS/sources</userinput></screen>
+<screen><userinput>mkdir -v $LFS/sources</userinput></screen>
 
   <para>Make this directory writable and sticky. <quote>Sticky</quote>
@@ -48,5 +48,5 @@
   sticky modes:</para>
 
-<screen><userinput>chmod a+wt $LFS/sources</userinput></screen>
+<screen><userinput>chmod -v a+wt $LFS/sources</userinput></screen>
 
 </sect1>
Index: partitioning/common/mounting.xml
===================================================================
--- partitioning/common/mounting.xml	(revision 62c1c5dd10884d898f3ea36a61c177a392125faf)
+++ partitioning/common/mounting.xml	(revision 987edf2bb223239750378559af8b83609cd32e2c)
@@ -26,6 +26,6 @@
   running:</para>
 
-<screen><userinput>mkdir -p $LFS
-mount /dev/<replaceable>[xxx]</replaceable> $LFS</userinput></screen>
+<screen><userinput>mkdir -pv $LFS
+mount -v /dev/<replaceable>[xxx]</replaceable> $LFS</userinput></screen>
 
   <para>Replace <replaceable>[xxx]</replaceable> with the designation of
@@ -36,8 +36,8 @@
   class="directory">/usr</filename>), mount them using:</para>
 
-<screen><userinput>mkdir -p $LFS
-mount /dev/<replaceable>[xxx]</replaceable> $LFS
-mkdir $LFS/usr
-mount /dev/<replaceable>[yyy]</replaceable> $LFS/usr</userinput></screen>
+<screen><userinput>mkdir -pv $LFS
+mount -v /dev/<replaceable>[xxx]</replaceable> $LFS
+mkdir -v $LFS/usr
+mount -v /dev/<replaceable>[yyy]</replaceable> $LFS/usr</userinput></screen>
 
   <para>Replace <replaceable>[xxx]</replaceable> and