Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision 3d7a86ad8f79aa20d0bc3453519fcb5e7d75c749)
+++ BOOK/general.ent	(revision 989d6276b76ae2788538ff0ee9e2b4f4ba1a1458)
@@ -3,5 +3,5 @@
 <!ENTITY month "07"> <!-- Use two digits -->
 <!ENTITY month_name "July">
-<!ENTITY day "10"> <!-- Use two digits -->
+<!ENTITY day "13"> <!-- Use two digits -->
 <!ENTITY year "2006"> <!-- Use four digits -->
 
Index: BOOK/introduction/common/acknowledgements.xml
===================================================================
--- BOOK/introduction/common/acknowledgements.xml	(revision 3d7a86ad8f79aa20d0bc3453519fcb5e7d75c749)
+++ BOOK/introduction/common/acknowledgements.xml	(revision 989d6276b76ae2788538ff0ee9e2b4f4ba1a1458)
@@ -10,10 +10,60 @@
   <?dbhtml filename="acknowledgements.html"?>
 
-  <para>The editors of the book would like to acknowledge people who
+  <para>The CLFS team would like to acknowledge people who
   have assisted in making the book what it is today.</para>
+
+ <para>Our Leaders:</para>
 
   <itemizedlist>
     <listitem>
-      <para>Nathan Coulson - Bootscripts, typo, and content fixes.</para>
+      <para>Ryan Oliver - Build Process Developer.</para>
+    </listitem>
+    <listitem>
+      <para>Jim Gifford - Lead Developer.</para>
+    </listitem>
+    <listitem>
+      <para>Jeremy Utley - Release Manager 1.x Series.</para>
+    </listitem>
+  </itemizedlist>
+
+  <para>Our CLFS Team:</para>
+
+  <itemizedlist>
+    <listitem>
+      <para>Joe Ciccone - Alpha, MIPS, Sparc builds.</para>
+    </listitem>
+    <listitem>
+      <para>Nathan Coulson - Bootscripts.</para>
+    </listitem>
+    <listitem>
+      <para>Matt Darcy - x86, X86_64, and Sparc builds.</para>
+    </listitem>
+    <listitem>
+      <para>Manuel Canales Esparcia - Book XML.</para>
+    </listitem>
+    <listitem>
+      <para>Karen McGuiness - Proofreader.</para>
+    </listitem>
+    <listitem>
+      <para>Jeremy Huntwork - PowerPC, x86, Sparc builds.</para>
+    </listitem>
+    <listitem>
+      <para>Justin Knierim - Website Architect.</para>
+    </listitem>
+    <listitem>
+      <para>Ken Moffat - PowerPC and X86_64 builds. Developer of Pure 64 Hint.</para>
+    </listitem>
+    <listitem>
+      <para>Alexander E. Patrakov - Udev/Hotplug Integration</para>
+    </listitem>
+    <listitem>
+      <para>Chris Staub - x86 builds. Leader of Quality Control.</para>
+    </listitem>
+  </itemizedlist>
+
+  <para>Outside the Development Team</para>
+ <itemizedlist>
+    <listitem>
+      <para>Jürg Billeter - Testing and assisted in the development of the Linux Headers Package</para>
     </listitem>
     <listitem>
@@ -26,19 +76,13 @@
       <para>Tony Morgan - Typo and content fixes.</para>
     </listitem>
-    <listitem>
-      <para>Ryan Oliver - Developer of the Cross-LFS scripts.</para>
-    </listitem>
-    <listitem>
-      <para>Ken Moffat - Developer of the Pure64 Hint.</para>
-    </listitem>
   </itemizedlist>
 
-<para>The editors of the book would also like to acknowledge people who
+<para>The CLFS team would also like to acknowledge people who
 have supported, spotted needed corrections, and testing of the cross-lfs book
-via the LFS-DEV Mailing lists.</para>
+via the CLFS-DEV Mailing lists.</para>
 
  <itemizedlist>
     <listitem>
-      <para>Doug Ronne - Various x86_64 fixes.</para>
+      <para>G. Moko - Text updates and Typos</para>
     </listitem>
     <listitem>
@@ -46,17 +90,5 @@
     </listitem>
     <listitem>
-      <para>Justin Knierim - Typos.</para>
-    </listitem>
-    <listitem>
-      <para>Joe Ciccone - Alpha Development, Testing and GCC 4.x fixes.</para>
-    </listitem>
-    <listitem>
-      <para>Matt Darcy - x86_64 Testing.</para>
-    </listitem>
-    <listitem>
-      <para>Alexander E. Patrakov - Udev/Hotplug Integration</para>
-    </listitem>
-    <listitem>
-      <para>G. Moko - Text updates and Typos</para>
+      <para>Doug Ronne - Various x86_64 fixes.</para>
     </listitem>
     <listitem>
@@ -66,7 +98,4 @@
       <para>Theo Schneider - Testing of the Linux Headers Package</para>
     </listitem>
-    <listitem>
-      <para>Jürg Billeter - Testing and Developing of the Linux Headers Package</para>
-    </listitem>
   </itemizedlist>
 