Index: BOOK/testsuite-tools/mips64-chapter.xml
===================================================================
--- BOOK/testsuite-tools/mips64-chapter.xml	(revision 0de841f3c5544b422beda1f80ffe85b24161e9c7)
+++ BOOK/testsuite-tools/mips64-chapter.xml	(revision 1001c87b6f9855fe8808e31b0a9384eab439036e)
@@ -17,5 +17,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/file-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dejagnu.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/tree.xml"/>
 
 </chapter>
Index: BOOK/testsuite-tools/multilib/tree.xml
===================================================================
--- BOOK/testsuite-tools/multilib/tree.xml	(revision 1001c87b6f9855fe8808e31b0a9384eab439036e)
+++ BOOK/testsuite-tools/multilib/tree.xml	(revision 1001c87b6f9855fe8808e31b0a9384eab439036e)
@@ -0,0 +1,53 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-testsuite-tools-tree" role="wrap">
+  <?dbhtml filename="tree.html"?>
+
+  <title>Tree-&tree-version;</title>
+
+  <indexterm zone="ch-testsuite-tools-tree">
+    <primary sortas="a-Tree">Tree</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title/>
+
+    <para>The Tree package contains a program that lists the directory
+    structure in a graphical "tree" format. It is used by Udev for
+    failures in its testsuite.</para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Tree</title>
+
+   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/tree.xml"
+    xpointer="xpointer(//*[@os='a'])"/>
+
+<screen os="b"><userinput>make CC="gcc ${BUILD64}"</userinput></screen>
+
+   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/tree.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
+
+   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/tree.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/tree.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
+
+  </sect2>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/tree.xml"
+  xpointer="xpointer(id('contents-tree'))"/>
+
+</sect1>
Index: BOOK/testsuite-tools/ppc64-chapter.xml
===================================================================
--- BOOK/testsuite-tools/ppc64-chapter.xml	(revision 0de841f3c5544b422beda1f80ffe85b24161e9c7)
+++ BOOK/testsuite-tools/ppc64-chapter.xml	(revision 1001c87b6f9855fe8808e31b0a9384eab439036e)
@@ -17,5 +17,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/file-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dejagnu.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/tree.xml"/>
 
 </chapter>
Index: BOOK/testsuite-tools/sparc64-chapter.xml
===================================================================
--- BOOK/testsuite-tools/sparc64-chapter.xml	(revision 0de841f3c5544b422beda1f80ffe85b24161e9c7)
+++ BOOK/testsuite-tools/sparc64-chapter.xml	(revision 1001c87b6f9855fe8808e31b0a9384eab439036e)
@@ -17,5 +17,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/file-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dejagnu.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/tree.xml"/>
 
 </chapter>
Index: BOOK/testsuite-tools/x86_64-chapter.xml
===================================================================
--- BOOK/testsuite-tools/x86_64-chapter.xml	(revision 0de841f3c5544b422beda1f80ffe85b24161e9c7)
+++ BOOK/testsuite-tools/x86_64-chapter.xml	(revision 1001c87b6f9855fe8808e31b0a9384eab439036e)
@@ -17,5 +17,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/file-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dejagnu.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/tree.xml"/>
 
 </chapter>