Index: BOOK/cross-tools/64/glibc.xml
===================================================================
--- BOOK/cross-tools/64/glibc.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/64/glibc.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -66,4 +66,12 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='de'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/alpha/glibc-headers.xml
===================================================================
--- BOOK/cross-tools/alpha/glibc-headers.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/alpha/glibc-headers.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -47,4 +47,12 @@
 echo "libc_cv_mlong_double_128=yes" &gt;&gt; config.cache
 echo "libc_cv_alpha_tls=yes" &gt;&gt; config.cache</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/alpha/glibc.xml
===================================================================
--- BOOK/cross-tools/alpha/glibc.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/alpha/glibc.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -76,4 +76,12 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/glibc.xml"
     xpointer="xpointer(//*[@os='g'])"/>
Index: BOOK/cross-tools/common/glibc.xml
===================================================================
--- BOOK/cross-tools/common/glibc.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/common/glibc.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -60,4 +60,9 @@
 <screen os="de"><userinput>echo "libc_cv_forced_unwind=yes" &gt; config.cache
 echo "libc_cv_c_cleanup=yes" &gt;&gt; config.cache</userinput></screen>
+
+    <para os="n1">The following line needs to be added to
+    <filename>configparms</filename> to adjust installation paths.</para>
+
+<screen os="n2"><userinput>echo "install_root=${CLFS}" &gt; configparms</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/mips/glibc.xml
===================================================================
--- BOOK/cross-tools/mips/glibc.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/mips/glibc.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -84,4 +84,12 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/glibc.xml"
     xpointer="xpointer(//*[@os='g'])"/>
Index: BOOK/cross-tools/mips64-64/glibc.xml
===================================================================
--- BOOK/cross-tools/mips64-64/glibc.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/mips64-64/glibc.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -85,4 +85,12 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
Index: BOOK/cross-tools/mips64/glibc-64bit.xml
===================================================================
--- BOOK/cross-tools/mips64/glibc-64bit.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/mips64/glibc-64bit.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -84,10 +84,18 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../multilib/glibc-64bit.xml"
+    href="glibc.xml"
     xpointer="xpointer(//*[@os='n1'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../multilib/glibc-64bit.xml"
-    xpointer="xpointer(//*[@os='n2'])"/>
+    xpointer="xpointer(//*[@os='n3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../multilib/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='n4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/mips64/glibc-n32.xml
===================================================================
--- BOOK/cross-tools/mips64/glibc-n32.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/mips64/glibc-n32.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -83,8 +83,16 @@
     xpointer="xpointer(//*[@os='de'])"/>
 
-    <para os="n1">Tell Glibc to install its 32-bit libraries into <filename
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
+
+    <para os="n3">Tell Glibc to install its 32-bit libraries into <filename
     class="directory">/tools/lib32</filename>:</para>
 
-<screen os="n2"><userinput>echo "slibdir=/tools/lib32" &gt;&gt; configparms</userinput></screen>
+<screen os="n4"><userinput>echo "slibdir=/tools/lib32" &gt;&gt; configparms</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/mips64/glibc.xml
===================================================================
--- BOOK/cross-tools/mips64/glibc.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/mips64/glibc.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -85,4 +85,12 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
Index: BOOK/cross-tools/multilib/glibc-64bit.xml
===================================================================
--- BOOK/cross-tools/multilib/glibc-64bit.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/multilib/glibc-64bit.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -67,8 +67,16 @@
     xpointer="xpointer(//*[@os='de'])"/>
 
-    <para os="n1">Tell Glibc to install its 64-bit libraries into <filename
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
+
+    <para os="n3">Tell Glibc to install its 64-bit libraries into <filename
     class="directory">/tools/lib64</filename>:</para>
 
-<screen os="n2"><userinput>echo "slibdir=/tools/lib64" &gt;&gt; configparms</userinput></screen>
+<screen os="n4"><userinput>echo "slibdir=/tools/lib64" &gt;&gt; configparms</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/multilib/glibc.xml
===================================================================
--- BOOK/cross-tools/multilib/glibc.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/multilib/glibc.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -66,4 +66,12 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='de'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/ppc/glibc.xml
===================================================================
--- BOOK/cross-tools/ppc/glibc.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/ppc/glibc.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -68,4 +68,12 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/glibc.xml"
     xpointer="xpointer(//*[@os='g'])"/>
Index: BOOK/cross-tools/ppc64/glibc-64bit.xml
===================================================================
--- BOOK/cross-tools/ppc64/glibc-64bit.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/ppc64/glibc-64bit.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -74,10 +74,18 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../multilib/glibc-64bit.xml"
+    href="glibc.xml"
     xpointer="xpointer(//*[@os='n1'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../multilib/glibc-64bit.xml"
-    xpointer="xpointer(//*[@os='n2'])"/>
+    xpointer="xpointer(//*[@os='n3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../multilib/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='n4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/ppc64/glibc-headers.xml
===================================================================
--- BOOK/cross-tools/ppc64/glibc-headers.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/ppc64/glibc-headers.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -61,4 +61,12 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../alpha/glibc-headers.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../alpha/glibc-headers.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/glibc.xml"
     xpointer="xpointer(//*[@os='g'])"/>
Index: BOOK/cross-tools/ppc64/glibc.xml
===================================================================
--- BOOK/cross-tools/ppc64/glibc.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/ppc64/glibc.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -83,4 +83,12 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='de'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/sparc/glibc.xml
===================================================================
--- BOOK/cross-tools/sparc/glibc.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/sparc/glibc.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -77,4 +77,12 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
Index: BOOK/cross-tools/sparc64-64/glibc.xml
===================================================================
--- BOOK/cross-tools/sparc64-64/glibc.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/sparc64-64/glibc.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -77,4 +77,12 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
Index: BOOK/cross-tools/sparc64/glibc-64bit.xml
===================================================================
--- BOOK/cross-tools/sparc64/glibc-64bit.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/sparc64/glibc-64bit.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -76,10 +76,18 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../multilib/glibc-64bit.xml"
+    href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='n1'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../multilib/glibc-64bit.xml"
-    xpointer="xpointer(//*[@os='n2'])"/>
+    xpointer="xpointer(//*[@os='n3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../multilib/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='n4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/sparc64/glibc.xml
===================================================================
--- BOOK/cross-tools/sparc64/glibc.xml	(revision dbaa1377d50d0f74867ef1380e51d88eddccf500)
+++ BOOK/cross-tools/sparc64/glibc.xml	(revision 1026afb715c3cb45a95096d0ec1fb6a02d493638)
@@ -74,4 +74,12 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='de'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='n2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"