Index: OK/final-system/multilib/adjusting.xml
===================================================================
--- BOOK/final-system/multilib/adjusting.xml	(revision 4a65eaf7879e1c4626b7f095e4a458b7b746f07d)
+++ 	(revision )
@@ -1,81 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-adjusting">
-  <?dbhtml filename="adjusting.html"?>
-
-  <title>Adjusting the Toolchain</title>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/adjusting.xml"
-  xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="c"><userinput>gcc -dumpspecs | \
-perl -p -e 's@/tools/lib/ld@/lib/ld@g;' \
-     -e 's@/tools/lib64/ld@/lib64/ld@g;' \
-     -e 's@\*startfile_prefix_spec:\n@$_/usr/lib/ @g;' > \
-     `dirname $(gcc --print-libgcc-file-name)`/specs</userinput></screen>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/adjusting.xml"
-  xpointer="xpointer(//*[@os='d'])"/>
-
-  <para os="m1">Note that <filename class="directory">/lib</filename> or
-  <filename class="directory">/lib64</filename> is now the prefix
-  of our dynamic linker.</para>
-
-  <caution>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/adjusting.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <para os="m2">For 32 bit ABI:</para>
-
-<screen os="m3"><userinput>echo 'main(){}' &gt; dummy.c
-cc ${BUILD32} dummy.c
-readelf -l a.out | grep ': /lib'</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/adjusting.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/adjusting.xml"
-    xpointer="xpointer(//*[@os='i'])"/>
-
-    <para os="m4">For 64 bit ABI:</para>
-
-<screen os="m5"><userinput>echo 'main(){}' &gt; dummy.c
-cc ${BUILD64} dummy.c
-readelf -l a.out | grep ': /lib'</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/adjusting.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
-
-<screen os="m6"><computeroutput>[Requesting program interpreter: /lib64/ld-linux-x86-64.so.2]</computeroutput></screen>
-
-    <para os="m7">Note that <filename class="directory">/lib</filename> or
-    <filename class="directory">/lib64</filename> is now the prefix
-    of our dynamic linker.</para>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/adjusting.xml"
-    xpointer="xpointer(//*[@os='k'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/adjusting.xml"
-    xpointer="xpointer(//*[@os='l'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/adjusting.xml"
-    xpointer="xpointer(//*[@os='m'])"/>
-
-  </caution>
-
-</sect1>
Index: BOOK/final-system/x86_64/adjusting.xml
===================================================================
--- BOOK/final-system/x86_64/adjusting.xml	(revision 1234de32e9a734f9518760ba049009632ecfefef)
+++ BOOK/final-system/x86_64/adjusting.xml	(revision 1234de32e9a734f9518760ba049009632ecfefef)
@@ -0,0 +1,81 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-system-adjusting">
+  <?dbhtml filename="adjusting.html"?>
+
+  <title>Adjusting the Toolchain</title>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/adjusting.xml"
+  xpointer="xpointer(//*[@os='a'])"/>
+
+<screen os="c"><userinput>gcc -dumpspecs | \
+perl -p -e 's@/tools/lib/ld@/lib/ld@g;' \
+     -e 's@/tools/lib64/ld@/lib64/ld@g;' \
+     -e 's@\*startfile_prefix_spec:\n@$_/usr/lib/ @g;' > \
+     `dirname $(gcc --print-libgcc-file-name)`/specs</userinput></screen>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/adjusting.xml"
+  xpointer="xpointer(//*[@os='d'])"/>
+
+  <para os="m1">Note that <filename class="directory">/lib</filename> or
+  <filename class="directory">/lib64</filename> is now the prefix
+  of our dynamic linker.</para>
+
+  <caution>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/adjusting.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+    <para os="m2">For 32 bit ABI:</para>
+
+<screen os="m3"><userinput>echo 'main(){}' &gt; dummy.c
+cc ${BUILD32} dummy.c
+readelf -l a.out | grep ': /lib'</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/adjusting.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/adjusting.xml"
+    xpointer="xpointer(//*[@os='i'])"/>
+
+    <para os="m4">For 64 bit ABI:</para>
+
+<screen os="m5"><userinput>echo 'main(){}' &gt; dummy.c
+cc ${BUILD64} dummy.c
+readelf -l a.out | grep ': /lib'</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/adjusting.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
+<screen os="m6"><computeroutput>[Requesting program interpreter: /lib64/ld-linux-x86-64.so.2]</computeroutput></screen>
+
+    <para os="m7">Note that <filename class="directory">/lib</filename> or
+    <filename class="directory">/lib64</filename> is now the prefix
+    of our dynamic linker.</para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/adjusting.xml"
+    xpointer="xpointer(//*[@os='k'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/adjusting.xml"
+    xpointer="xpointer(//*[@os='l'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/adjusting.xml"
+    xpointer="xpointer(//*[@os='m'])"/>
+
+  </caution>
+
+</sect1>