Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision b40367c94ea63322d5420861a3d6f582f7ecf725)
+++ BOOK/packages.ent	(revision 1294ebb87859224df35c0779c733c3dd55234e50)
@@ -2,5 +2,5 @@
 
 <!ENTITY aboot-version "0.9b">
-<!ENTITY aboot-size "2.6 MB">
+<!ENTITY aboot-size "112 KB">
 <!ENTITY aboot-url "&sourceforge;aboot/aboot-&aboot-version;.tar.bz2?download">
 
@@ -10,5 +10,5 @@
 
 <!ENTITY autoconf-version "2.59">
-<!ENTITY autoconf-size "908 KB">
+<!ENTITY autoconf-size "904 KB">
 <!ENTITY autoconf-url "&gnu;autoconf/autoconf-&autoconf-version;.tar.bz2">
 
@@ -18,5 +18,5 @@
 
 <!ENTITY bash-version "3.0">
-<!ENTITY bash-size "1.8 MB">
+<!ENTITY bash-size "2.4 MB">
 <!ENTITY bash-url "&gnu;bash/bash-&bash-version;.tar.gz">
 
@@ -26,29 +26,29 @@
 
 <!ENTITY binutils-version "2.16.1">
-<!ENTITY binutils-size "12.2 MB">
+<!ENTITY binutils-size "12 MB">
 <!ENTITY binutils-url "&gnu;binutils/binutils-&binutils-version;.tar.bz2">
 
 <!ENTITY bison-version "2.1">
-<!ENTITY bison-size "916 KB">
+<!ENTITY bison-size "1.3 MB">
 <!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.gz">
 
 <!ENTITY bzip2-version "1.0.3">
-<!ENTITY bzip2-size "596 KB">
+<!ENTITY bzip2-size "654 KB">
 <!ENTITY bzip2-url "http://www.bzip.org/&bzip2-version;/bzip2-&bzip2-version;.tar.gz">
 
 <!ENTITY colo-version "1.19">
-<!ENTITY colo-size "240 KB">
+<!ENTITY colo-size "248 KB">
 <!ENTITY colo-url "http://www.colonel-panic.org/cobalt-mips/colo/colo-&colo-version;.tar.gz">
 
 <!ENTITY coreutils-version "5.93">
-<!ENTITY coreutils-size "4.1 MB">
+<!ENTITY coreutils-size "4.7 MB">
 <!ENTITY coreutils-url "&gnu;coreutils/coreutils-&coreutils-version;.tar.bz2">
 
 <!ENTITY dejagnu-version "1.4.4">
-<!ENTITY dejagnu-size "852 KB">
+<!ENTITY dejagnu-size "1 MB">
 <!ENTITY dejagnu-url "&gnu;dejagnu/dejagnu-&dejagnu-version;.tar.gz">
 
 <!ENTITY diffutils-version "2.8.7">
-<!ENTITY diffutils-size "648 KB">
+<!ENTITY diffutils-size "1.1 MB">
 <!ENTITY diffutils-url "&alpha-gnu;diffutils/diffutils-&diffutils-version;.tar.gz">
 
@@ -58,5 +58,5 @@
 
 <!ENTITY e2fsprogs-version "1.38">
-<!ENTITY e2fsprogs-size "3.1 MB">
+<!ENTITY e2fsprogs-size "3.5 MB">
 <!ENTITY e2fsprogs-url "&sourceforge;e2fsprogs/e2fsprogs-&e2fsprogs-version;.tar.gz?download">
 
@@ -66,10 +66,10 @@
 
 <!ENTITY expect-version "5.43.0">
-<!ENTITY expect-size "416 KB">
+<!ENTITY expect-size "513 KB">
 <!ENTITY expect-url "http://expect.nist.gov/src/expect-&expect-version;.tar.gz">
 <!ENTITY expect-lib-version "5.43">
 
 <!ENTITY file-version "4.16">
-<!ENTITY file-size "400 KB">
+<!ENTITY file-size "537 KB">
 <!ENTITY file-url "ftp://ftp.gw.com/mirrors/pub/unix/file/file-&file-version;.tar.gz">
 
@@ -79,17 +79,17 @@
 
 <!ENTITY flex-version "2.5.31">
-<!ENTITY flex-size "672 KB">
+<!ENTITY flex-size "666 KB">
 <!ENTITY flex-url "&sourceforge;lex/flex-&flex-version;.tar.bz2?download">
 
 <!ENTITY gawk-version "3.1.5">
-<!ENTITY gawk-size "1.6 MB">
+<!ENTITY gawk-size "1.7 MB">
 <!ENTITY gawk-url "&gnu;gawk/gawk-&gawk-version;.tar.bz2">
 
 <!ENTITY gcc-version "4.0.2">
-<!ENTITY gcc-size "30.3 MB">
+<!ENTITY gcc-size "31 MB">
 <!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
 
 <!ENTITY gettext-version "0.14.5">
-<!ENTITY gettext-size "4.6 MB">
+<!ENTITY gettext-size "6.8 MB">
 <!ENTITY gettext-url "&gnu;gettext/gettext-&gettext-version;.tar.gz">
 
@@ -103,17 +103,17 @@
 
 <!ENTITY grep-version "2.5.1a">
-<!ENTITY grep-size "520 KB">
+<!ENTITY grep-size "516 KB">
 <!ENTITY grep-url "&gnu;grep/grep-&grep-version;.tar.bz2">
 
 <!ENTITY groff-version "1.19.2">
-<!ENTITY groff-size "2.0 MB">
+<!ENTITY groff-size "2.8 MB">
 <!ENTITY groff-url "&gnu;groff/groff-&groff-version;.tar.gz">
 
 <!ENTITY grub-version "0.97">
-<!ENTITY grub-size "963 KB">
+<!ENTITY grub-size "950 KB">
 <!ENTITY grub-url "&alpha-gnu;grub/grub-&grub-version;.tar.gz">
 
 <!ENTITY gzip-version "1.3.5">
-<!ENTITY gzip-size "284 KB">
+<!ENTITY gzip-size "324 KB">
 <!ENTITY gzip-url "&alpha-gnu;gzip/gzip-&gzip-version;.tar.gz">
 
@@ -123,13 +123,13 @@
 
 <!ENTITY hotplug-version "2004_09_23">
-<!ENTITY hotplug-size "40 KB">
+<!ENTITY hotplug-size "38 KB">
 <!ENTITY hotplug-url "&kernel;linux/utils/kernel/hotplug/hotplug-&hotplug-version;.tar.bz2">
 
 <!ENTITY iana-etc-version "2.00">
-<!ENTITY iana-etc-size "168 KB">
+<!ENTITY iana-etc-size "174 KB">
 <!ENTITY iana-etc-url "http://www.sethwklein.net/projects/iana-etc/downloads/iana-etc-&iana-etc-version;.tar.bz2">
 
 <!ENTITY inetutils-version "1.4.2">
-<!ENTITY inetutils-size "752 KB">
+<!ENTITY inetutils-size "1019 KB">
 <!ENTITY inetutils-url "&gnu;inetutils/inetutils-&inetutils-version;.tar.gz">
 
@@ -139,17 +139,17 @@
 
 <!ENTITY kbd-version "1.12">
-<!ENTITY kbd-size "624 KB">
+<!ENTITY kbd-size "618 KB">
 <!ENTITY kbd-url "&kernel;linux/utils/kbd/kbd-&kbd-version;.tar.bz2">
 
 <!ENTITY less-version "385">
-<!ENTITY less-size "216 KB">
+<!ENTITY less-size "264 KB">
 <!ENTITY less-url "http://www.greenwoodsoftware.com/less/less-&less-version;.tar.gz">
 
 <!ENTITY lfs-bootscripts-version "3.2.2">
-<!ENTITY lfs-bootscripts-size "32 KB">
+<!ENTITY lfs-bootscripts-size "29 KB">
 <!ENTITY lfs-bootscripts-url "http://downloads.linuxfromscratch.org/lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
 
 <!ENTITY libtool-version "1.5.20">
-<!ENTITY libtool-size "1.6 MB">
+<!ENTITY libtool-size "2.7 MB">
 <!ENTITY libtool-url "&gnu;libtool/libtool-&libtool-version;.tar.gz">
 
@@ -157,5 +157,5 @@
 
 <!ENTITY linux-version "2.6.14.3">
-<!ENTITY linux-size "37 MB">
+<!ENTITY linux-size "38 MB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-version;.tar.bz2">
 
@@ -165,25 +165,25 @@
 
 <!ENTITY m4-version "1.4.3">
-<!ENTITY m4-size "304 KB">
+<!ENTITY m4-size "376 KB">
 <!ENTITY m4-url "&gnu;m4/m4-&m4-version;.tar.gz">
 
 <!ENTITY make-version "3.80">
-<!ENTITY make-size "904 KB">
+<!ENTITY make-size "900 KB">
 <!ENTITY make-url "&gnu;make/make-&make-version;.tar.bz2">
 
 <!ENTITY man-version "1.6b">
-<!ENTITY man-size "208 KB">
+<!ENTITY man-size "234 KB">
 <!ENTITY man-url "http://primates.ximian.com/~flucifredi/man/man-&man-version;.tar.gz">
 
 <!ENTITY man-pages-version "2.16">
-<!ENTITY man-pages-size "2.4 MB">
+<!ENTITY man-pages-size "1.7 MB">
 <!ENTITY man-pages-url "&kernel;linux/docs/manpages/man-pages-&man-pages-version;.tar.bz2">
 
 <!ENTITY mktemp-version "1.5">
-<!ENTITY mktemp-size "68 KB">
+<!ENTITY mktemp-size "69 KB">
 <!ENTITY mktemp-url "ftp://ftp.cs.colorado.edu/pub/mktemp/mktemp-&mktemp-version;.tar.gz">
 
 <!ENTITY module-init-tools-version "3.2.1">
-<!ENTITY module-init-tools-size "164 KB">
+<!ENTITY module-init-tools-size "165 KB">
 <!ENTITY module-init-tools-url "&kernel;linux/utils/kernel/module-init-tools/module-init-tools-&module-init-tools-version;.tar.bz2">
 
@@ -193,5 +193,5 @@
 
 <!ENTITY patch-version "2.5.9">
-<!ENTITY patch-size "156 KB">
+<!ENTITY patch-size "198 KB">
 <!ENTITY patch-url "&alpha-gnu;diffutils/patch-&patch-version;.tar.gz">
 
@@ -201,5 +201,5 @@
 
 <!ENTITY perl-version "5.8.7">
-<!ENTITY perl-size "9.6 MB">
+<!ENTITY perl-size "9.4 MB">
 <!ENTITY perl-url "http://ftp.funet.fi/pub/CPAN/src/perl-&perl-version;.tar.bz2">
 
@@ -209,25 +209,25 @@
 
 <!ENTITY procps-version "3.2.6">
-<!ENTITY procps-size "224 KB">
+<!ENTITY procps-size "273 KB">
 <!ENTITY procps-url "http://procps.sourceforge.net/procps-&procps-version;.tar.gz">
 
 <!ENTITY psmisc-version "21.8">
-<!ENTITY psmisc-size "188 KB">
+<!ENTITY psmisc-size "223 KB">
 <!ENTITY psmisc-url "&sourceforge;psmisc/psmisc-&psmisc-version;.tar.gz?download">
 
 <!ENTITY readline-version "5.0">
-<!ENTITY readline-size "1.4 MB">
+<!ENTITY readline-size "1.8 MB">
 <!ENTITY readline-url "&gnu;readline/readline-&readline-version;.tar.gz">
 
 <!ENTITY sed-version "4.1.4">
-<!ENTITY sed-size "632 KB">
+<!ENTITY sed-size "776 KB">
 <!ENTITY sed-url "&gnu;sed/sed-&sed-version;.tar.gz">
 
 <!ENTITY shadow-version "4.0.13">
-<!ENTITY shadow-size "1,080 KB">
+<!ENTITY shadow-size "1.1 MB">
 <!ENTITY shadow-url "ftp://ftp.pld.org.pl/software/shadow/shadow-&shadow-version;.tar.bz2">
 
 <!ENTITY silo-version "1.4.9">
-<!ENTITY silo-size "144 KB">
+<!ENTITY silo-size "143 KB">
 <!ENTITY silo-url "http://www.ultralinux.nl/silo/download/silo-&silo-version;.tar.bz2">
 <!ENTITY silo-loaders-size "108 KB">
@@ -235,9 +235,9 @@
 
 <!ENTITY sysklogd-version "1.4.1">
-<!ENTITY sysklogd-size "72 KB">
+<!ENTITY sysklogd-size "80 KB">
 <!ENTITY sysklogd-url "http://www.infodrom.org/projects/sysklogd/download/sysklogd-&sysklogd-version;.tar.gz">
 
 <!ENTITY sysvinit-version "2.86">
-<!ENTITY sysvinit-size "88 KB">
+<!ENTITY sysvinit-size "97 KB">
 <!ENTITY sysvinit-url "ftp://ftp.cistron.nl/pub/people/miquels/sysvinit/sysvinit-&sysvinit-version;.tar.gz">
 
@@ -263,9 +263,9 @@
 
 <!ENTITY util-linux-version "2.12r">
-<!ENTITY util-linux-size "1.3 MB">
+<!ENTITY util-linux-size "1.4 MB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/util-linux-&util-linux-version;.tar.bz2">
 
 <!ENTITY yaboot-version "1.3.13">
-<!ENTITY yaboot-size "270 KB">
+<!ENTITY yaboot-size "269 KB">
 <!ENTITY yaboot-url "http://penguinppc.org/bootloaders/yaboot/yaboot-&yaboot-version;.tar.gz">
 
@@ -273,9 +273,8 @@
 <!ENTITY vim-size "3.6 MB">
 <!ENTITY vim-url "ftp://ftp.vim.org/pub/vim/unix/vim-&vim-version;.tar.bz2">
-<!ENTITY vim-language-size "540 KB">
+<!ENTITY vim-language-size "1093 KB">
 <!ENTITY vim-language-url "ftp://ftp.vim.org/pub/vim/extra/vim-&vim-version;-lang.tar.gz">
 
 <!ENTITY zlib-version "1.2.3">
-<!ENTITY zlib-size "368 KB">
+<!ENTITY zlib-size "416 KB">
 <!ENTITY zlib-url "http://www.zlib.net/zlib-&zlib-version;.tar.gz">
-
Index: OK/temp-tools/64/expect.xml
===================================================================
--- BOOK/temp-tools/64/expect.xml	(revision b40367c94ea63322d5420861a3d6f582f7ecf725)
+++ 	(revision )
@@ -1,73 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-temp-tools-expect" role="wrap">
-  <?dbhtml filename="expect.html"?>
-
-  <title>Expect-&expect-version;</title>
-
-  <indexterm zone="ch-temp-tools-expect">
-    <primary sortas="a-Expect">Expect</primary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/expect.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Expect</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-<screen><userinput>CC=""gcc ${BUILD64}" ./configure --prefix=/tools --with-tcl=/tools/lib \
-   --with-tclinclude=/tools/include --with-x=no</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='i'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='j'])"/>
-
-  </sect2>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/expect.xml"
-  xpointer="xpointer(id('contents-expect'))"/>
-
-</sect1>
Index: BOOK/temp-tools/mips64-64-chapter.xml
===================================================================
--- BOOK/temp-tools/mips64-64-chapter.xml	(revision b40367c94ea63322d5420861a3d6f582f7ecf725)
+++ BOOK/temp-tools/mips64-64-chapter.xml	(revision 1294ebb87859224df35c0779c733c3dd55234e50)
@@ -15,5 +15,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/tcl.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/expect.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dejagnu.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/perl.xml"/>
Index: BOOK/temp-tools/sparc64-64-chapter.xml
===================================================================
--- BOOK/temp-tools/sparc64-64-chapter.xml	(revision b40367c94ea63322d5420861a3d6f582f7ecf725)
+++ BOOK/temp-tools/sparc64-64-chapter.xml	(revision 1294ebb87859224df35c0779c733c3dd55234e50)
@@ -15,5 +15,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/tcl.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/expect.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dejagnu.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/perl.xml"/>
Index: BOOK/temp-tools/x86_64-64-chapter.xml
===================================================================
--- BOOK/temp-tools/x86_64-64-chapter.xml	(revision b40367c94ea63322d5420861a3d6f582f7ecf725)
+++ BOOK/temp-tools/x86_64-64-chapter.xml	(revision 1294ebb87859224df35c0779c733c3dd55234e50)
@@ -15,5 +15,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/tcl.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/expect.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dejagnu.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/perl.xml"/>