Index: BOOK/boot/x86/kernel.xml
===================================================================
--- BOOK/boot/x86/kernel.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
+++ BOOK/boot/x86/kernel.xml	(revision 1322a63187a6edcbe5c30f73ba668df42bfe11a4)
@@ -98,7 +98,7 @@
    INSTALL_MOD_PATH=${LFS} modules_install</userinput></screen>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/x86/kernel.xml"
-    xpointer="xpointer(//*[@os='u'])"/>
+    <para os="u">After kernel compilation is complete, additional steps are
+    required to complete the installation. Some files need to be copied to
+    the <filename class="directory">${LFS}/boot</filename> directory.</para>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/x86/glibc-headers.xml
===================================================================
--- BOOK/cross-tools/x86/glibc-headers.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
+++ BOOK/cross-tools/x86/glibc-headers.xml	(revision 1322a63187a6edcbe5c30f73ba668df42bfe11a4)
@@ -64,8 +64,8 @@
     --with-binutils=/cross-tools/${LFS_TARGET}/bin</userinput></screen>
 
-   <warning os="e1">
-      <para><emphasis>Any</emphasis> error message you see about nptl at this point
-       can safely be ignored.</para>
-   </warning>
+   <note os="e1">
+      <para><emphasis>Any</emphasis> error message you see about nptl at this
+      point can safely be ignored.</para>
+   </note>
 
     <variablelist os="ca">
@@ -139,5 +139,5 @@
 
 <screen os="cg"><userinput>install -dv /tools/include/bits
-cp bits/stdio_lim.h /tools/include/bits</userinput></screen>
+cp -v bits/stdio_lim.h /tools/include/bits</userinput></screen>
 
     <para os="ch">Now create a blank stub file:</para>
Index: BOOK/final-system/common/gzip.xml
===================================================================
--- BOOK/final-system/common/gzip.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
+++ BOOK/final-system/common/gzip.xml	(revision 1322a63187a6edcbe5c30f73ba668df42bfe11a4)
@@ -67,7 +67,5 @@
 <screen os="j"><userinput>mv -v /usr/bin/gzip /bin
 rm -v /usr/bin/{gunzip,zcat}
-ln -sv gzip /bin/gunzip
-ln -sv gzip /bin/zcat
-ln -sv gzip /bin/compress
+ln -sv gzip /bin/{gunzip,zcat,compress}
 ln -sv gunzip /bin/uncompress</userinput></screen>
 
Index: BOOK/final-system/common/introduction.xml
===================================================================
--- BOOK/final-system/common/introduction.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
+++ BOOK/final-system/common/introduction.xml	(revision 1322a63187a6edcbe5c30f73ba668df42bfe11a4)
@@ -58,16 +58,7 @@
   the package installs.</para>
 
-  <para os="e">To keep track of which package installs particular files, a package
-  manager can be used. For a general overview of different styles of package
-  managers, please refer to <ulink
-  url="&blfs-root;view/svn/introduction/important.html"/>.
-  For a package management method specifically geared towards LFS, we
-  recommend <ulink url="&hints-root;more_control_and_pkg_man.txt"/>.</para>
-
-<!--  <note os="f">
-    <para>The remainder of this book is to be performed while logged
-    in as user <systemitem class="username">root</systemitem> and no longer
-    as user <systemitem class="username">lfs</systemitem>.</para>
-  </note> -->
+  <para os="e">To keep track of which package installs particular files, a
+  package manager can be used. For a general overview of different styles of
+  package managers, please take a look at the next page.</para>
 
 </sect1>
Index: BOOK/final-system/common/pkgmgt.xml
===================================================================
--- BOOK/final-system/common/pkgmgt.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
+++ BOOK/final-system/common/pkgmgt.xml	(revision 1322a63187a6edcbe5c30f73ba668df42bfe11a4)
@@ -20,6 +20,6 @@
   issues that may arise when upgrading packages.</para>
 
-  <para>Some reasons why no package manager is mentioned in LFS or BLFS
-  include:</para>
+  <para>Some reasons why no specific package manager is recommended in LFS or
+  BLFS include:</para>
 
   <itemizedlist>
@@ -31,5 +31,5 @@
     <listitem>
       <para>There are multiple solutions for package management, each having
-      its strengths and drawbacks.  Including one that satisfies all audiences
+      its strengths and drawbacks. Including one that satisfies all audiences
       is difficult.</para>
     </listitem>
@@ -39,12 +39,4 @@
   the <ulink url="&hints-root;">Hints subproject</ulink> and see if one of them
   fits your need.</para>
-
-  <note>
-    <para>As no particular package management technique is mentioned in LFS,
-    the commands in the remainder of this book must be performed while logged in
-    as user <systemitem class="username">root</systemitem> and no longer as user
-    <systemitem class="username">lfs</systemitem>. Also, double check that
-    <envar>$LFS</envar> is set.</para>
-  </note>
 
   <sect2>
@@ -60,5 +52,5 @@
         <para>If one of the toolchain packages (Glibc, GCC or Binutils) needs
         to be upgraded to a newer minor version, it is safer to rebuild LFS.
-        Though you <emphasis>may</emphasis> be able to get by rebuilding all
+        Though, you <emphasis>may</emphasis> be able to get by rebuilding all
         the packages in their dependency order, we do not recommend it. For
         example, if glibc-2.2.x needs to be updated to glibc-2.3.x, it is safer
Index: BOOK/final-system/common/testsuitesagain.xml
===================================================================
--- BOOK/final-system/common/testsuitesagain.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
+++ BOOK/final-system/common/testsuitesagain.xml	(revision 1322a63187a6edcbe5c30f73ba668df42bfe11a4)
@@ -25,5 +25,5 @@
   <systemitem class="filesystem">devpts</systemitem> file system set up
   correctly. This issue is discussed in greater detail at
-  <ulink url="http://www.linuxfromscratch.org/lfs/faq.html#no-ptys"/>.</para>
+  <ulink url="&faq-root;#no-ptys"/>.</para>
 
   <para>Sometimes package test suites will fail, but for reasons which the
Index: BOOK/final-system/common/udev.xml
===================================================================
--- BOOK/final-system/common/udev.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
+++ BOOK/final-system/common/udev.xml	(revision 1322a63187a6edcbe5c30f73ba668df42bfe11a4)
@@ -80,5 +80,5 @@
 
     <para os="j">Udev's configuration is far from ideal by default, so install
-    the configuration files here:</para>
+    the configuration file here:</para>
 
 <screen os="k"><userinput>cp -v ../&udev-config-file; /etc/udev/rules.d/25-lfs.rules</userinput></screen>
Index: BOOK/final-system/common/zlib.xml
===================================================================
--- BOOK/final-system/common/zlib.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
+++ BOOK/final-system/common/zlib.xml	(revision 1322a63187a6edcbe5c30f73ba668df42bfe11a4)
@@ -50,5 +50,5 @@
     <userinput>make check</userinput>.</para>
 
-    <para os="f">Installation:</para>
+    <para os="f">Install the package:</para>
 
 <screen os="g"><userinput>make install</userinput></screen>
Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
+++ BOOK/general.ent	(revision 1322a63187a6edcbe5c30f73ba668df42bfe11a4)
@@ -25,7 +25,7 @@
 <!ENTITY hints-root "&lfs-root;hints/downloads/files/">
 <!ENTITY hints-index "&lfs-root;hints/list.html">
-<!ENTITY patches-root "http://www.linuxfromscratch.org/patches/downloads/">
+<!ENTITY patches-root "&lfs-root;patches/downloads/">
 <!ENTITY livecd-root "&lfs-root;livecd/">
-<!ENTITY test-results "&lfs-root;lfs/build-logs/&generic-version;/">
+<!ENTITY test-results "&lfs-root;clfs/build-logs/&generic-version;/">
 <!ENTITY errata "&lfs-root;clfs/errata/&generic-version;/">
 
Index: BOOK/temp-system/common/bash.xml
===================================================================
--- BOOK/temp-system/common/bash.xml	(revision 3793118a113d9199ab1a153c46dacc62b04c1d47)
+++ BOOK/temp-system/common/bash.xml	(revision 1322a63187a6edcbe5c30f73ba668df42bfe11a4)
@@ -71,5 +71,5 @@
     xpointer="xpointer(//*[@os='n'])"/>
 
-    <para os="ae">Make a link for the programs that use <command>sh</command> for
+    <para os="ae">Make a link for programs that use <command>sh</command> for
     a shell:</para>
 